Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226403 - rubygem-nifti: FTBFS in Fedora rawhide/f39
Summary: rubygem-nifti: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-nifti
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ilia Gradina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 20:04 UTC by Fedora Release Engineering
Modified: 2023-08-17 01:16 UTC (History)
5 users (show)

Fixed In Version: rubygem-nifti-0.0.2-22.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-17 01:16:51 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 20:05 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 20:05 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 20:05 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 20:04:58 UTC
rubygem-nifti failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103706195


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix rubygem-nifti at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-nifti will be orphaned. Before branching of Fedora 40,
rubygem-nifti will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 20:05:02 UTC
Created attachment 1979588 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 20:05:05 UTC
Created attachment 1979589 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 20:05:07 UTC
Created attachment 1979590 [details]
state.log

Comment 4 Vít Ondruch 2023-08-01 16:19:49 UTC
Seeing an attempt to fix this [1], the commit is missing the patches.


[1] https://src.fedoraproject.org/rpms/rubygem-nifti/c/e41083463bb62845f6de5597c6b7eebca739e743?branch=rawhide

Comment 5 Ilia Gradina 2023-08-08 13:35:58 UTC
(In reply to Vít Ondruch from comment #4)
> Seeing an attempt to fix this [1], the commit is missing the patches.
> 
> 
> [1]
> https://src.fedoraproject.org/rpms/rubygem-nifti/c/
> e41083463bb62845f6de5597c6b7eebca739e743?branch=rawhide

Hi Vit, it's very odd. Using the fedpkg command, I can't add patches. They can be found here at the link: https://ilgrad.fedorapeople.org/specs/rubygem-nifti/

Comment 6 Ankur Sinha (FranciscoD) 2023-08-08 14:27:24 UTC
Hi Ilya,

Text files like patches can (should) be added to the src repo using `git add` etc. Binary files (like tars) can be uploaded to the look aside cache with `fedpkg new-sources`.

Cheers,

Comment 7 Ilia Gradina 2023-08-08 18:41:36 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #6)
> Hi Ilya,
> 
> Text files like patches can (should) be added to the src repo using `git
> add` etc. Binary files (like tars) can be uploaded to the look aside cache
> with `fedpkg new-sources`.
> 
> Cheers,

Hi Ankur, thank you. I seem to be doing everything as before, but I still can't upload these patches. Maybe someone else can try to do it, I don't understand what I'm doing wrong. Locally everything builds well (fedpkg mockbuild).

Comment 8 Ilia Gradina 2023-08-08 18:49:17 UTC
(In reply to Ilia Gradina from comment #7)
> (In reply to Ankur Sinha (FranciscoD) from comment #6)
> > Hi Ilya,
> > 
> > Text files like patches can (should) be added to the src repo using `git
> > add` etc. Binary files (like tars) can be uploaded to the look aside cache
> > with `fedpkg new-sources`.
> > 
> > Cheers,
> 
> Hi Ankur, thank you. I seem to be doing everything as before, but I still
> can't upload these patches. Maybe someone else can try to do it, I don't
> understand what I'm doing wrong. Locally everything builds well (fedpkg
> mockbuild).

Sorry, figured it out - the patches were getting into .gitignore. Terrible)

Comment 9 Fedora Update System 2023-08-08 19:33:47 UTC
FEDORA-2023-c6ec347650 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c6ec347650

Comment 10 Fedora Update System 2023-08-09 02:00:56 UTC
FEDORA-2023-c6ec347650 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c6ec347650`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c6ec347650

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Vít Ondruch 2023-08-14 14:18:50 UTC
The workflow I am using trying to not forget anything is:

1. fedpkg srpm
2. git add -u
3. fedpkg clog
4. git commit -F clog
5. fedpkg import some.srpm
6. git commit --am

This should take care of everything. Not sure what could have caused your issues with .gitignore.

Comment 12 Vít Ondruch 2023-08-14 14:21:40 UTC
BTW it still does not seems to be fixed everywhere. I suspect that you did your changes during branching period, so while you have f39 build, there is not associated Bodhi update and there still needs to be done the f40 / Rawhide build (don't forget to `git pull` prior doing any changes).

Comment 13 Vít Ondruch 2023-08-14 14:22:27 UTC
(In reply to Vít Ondruch from comment #12)
> BTW it still does not seems to be fixed everywhere. I suspect that you did
> your changes during branching period, so while you have f39 build, there is
> not associated Bodhi update and there still needs to be done the f40 /
> Rawhide build (don't forget to `git pull` prior doing any changes).

Or let me know and I can put everything in order for you ;)

Comment 14 Ilia Gradina 2023-08-14 18:17:48 UTC
(In reply to Vít Ondruch from comment #13)
> (In reply to Vít Ondruch from comment #12)
> > BTW it still does not seems to be fixed everywhere. I suspect that you did
> > your changes during branching period, so while you have f39 build, there is
> > not associated Bodhi update and there still needs to be done the f40 /
> > Rawhide build (don't forget to `git pull` prior doing any changes).
> 
> Or let me know and I can put everything in order for you ;)

Hi Vit! Thank you for the help). I've built for f40, but I can't add an update to bodhi for f39. I receive the following message:
Builds: Cannot manually create updates for a Release which is not composed by Bodhi. Read the 'Automatic updates' page in Bodhi docs about this error.
Can you help with adding a build for f39?

Comment 15 Ben Beasley 2023-08-14 23:18:11 UTC
Until the Bodhi updates-testing activation point (https://fedorapeople.org/groups/schedule/f-39/f-39-key-tasks.html), Bodhi updates will be automatically created when you do a build for F39.

The weird thing is, your F39 build got tagged into f40-updates-candidate like a F40 build, instead of into f39-updates-candidate, which is why there is no automatic F39 Bodhi update for it: https://koji.fedoraproject.org/koji/buildinfo?buildID=2270956

Why that happened, I have no idea.

Comment 16 Vít Ondruch 2023-08-15 12:48:54 UTC
(In reply to Ilia Gradina from comment #14)
> (In reply to Vít Ondruch from comment #13)
> > (In reply to Vít Ondruch from comment #12)
> > > BTW it still does not seems to be fixed everywhere. I suspect that you did
> > > your changes during branching period, so while you have f39 build, there is
> > > not associated Bodhi update and there still needs to be done the f40 /
> > > Rawhide build (don't forget to `git pull` prior doing any changes).
> > 
> > Or let me know and I can put everything in order for you ;)
> 
> Hi Vit! Thank you for the help). I've built for f40

Thx!

> but I can't add an
> update to bodhi for f39. I receive the following message:
> Builds: Cannot manually create updates for a Release which is not composed
> by Bodhi. Read the 'Automatic updates' page in Bodhi docs about this error.
> Can you help with adding a build for f39?

Interesting. I guess the "easy" path is to bump the release and build (for F40 as well as F39). The other option could be to open Releng ticket (https://pagure.io/releng/issue/)

Comment 17 Vít Ondruch 2023-08-15 12:50:26 UTC
(In reply to Vít Ondruch from comment #16)
> I guess the "easy" path is to bump the release and build (for
> F40 as well as F39)

Just to clarify the bump and build for F40 is not strictly needed, but it is the right thing to do to preserve the upgrade path.

Comment 18 Fedora Release Engineering 2023-08-16 08:04:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 19 Fedora Update System 2023-08-17 01:16:51 UTC
FEDORA-2023-c6ec347650 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.